
TYPO3.Flow - Feature # 3616

Status: Resolved Priority: Must have
Author: Andreas Förthner Category: Security
Created: 2009-06-08 Assigned To: Andreas Förthner
Updated: 2010-10-20 Due date:
PHP Version:
Has patch:
Complexity:
Subject: Implement Accounts/UserManagement
Description

We need a general concept how to store users, their assigned roles and custom user identity information. The default implementation
should store the users in the Content Repository, but there must be support for external IdentityProviders like an LDAP directory.

History
#1 - 2009-06-16 11:36 - Andreas Förthner
- File flow3-account-management.jpg added

Added two charts, describing the two main authentication scenarios:

    -  Delegated (LDAP) 
    -  integrated (e.g. compare password)

authentication.

#2 - 2009-06-18 14:25 - Andreas Förthner
- File deleted (flow3-account-management.jpg)

#3 - 2009-06-18 14:25 - Andreas Förthner
- File flow3-account-management.jpg added

#4 - 2009-07-13 10:38 - Robert Lemke
- Target version set to 1.0 alpha 3

#5 - 2009-07-22 17:01 - Andreas Förthner
- Status changed from New to Resolved

Resolved in r2851.
